# Created by pyp2rpm-3.3.2
%global pypi_name freecell-solver
%global srcname freecell_solver

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 5
Summary:        Freecell Solver bindings
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/freecell-solver/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3dist(testtools) >= 1.4.0
BuildRequires:  python3dist(sphinx)

%description
Python bindings for Freecell Solver.

%package -n     python3-%{pypi_name}
Summary:        Freecell Solver bindings
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 0.4.0-5

%description -n python3-%{pypi_name}
Python bindings for Freecell Solver.

%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE


%changelog
* Sun Jun 30 2024 wally <wally> 0.4.0-5.mga10
+ Revision: 2078277
- fix and normalize pkg names to follow PEP 503

* Tue Jan 02 2024 daviddavid <daviddavid> 0.4.0-4.mga10
+ Revision: 2026135
- switch to pyproject

* Fri Dec 29 2023 tv <tv> 0.4.0-3.mga10
+ Revision: 2023733
- Rebuild for python-3.12

* Wed Apr 06 2022 umeabot <umeabot> 0.4.0-2.mga9
+ Revision: 1845585
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 0.4.0-1.mga9
+ Revision: 1784876
- version 0.4.0
- rebuild for python-3.10
- removed doc pkg as it is no longer supplied from upstream

* Sun Mar 21 2021 daviddavid <daviddavid> 0.2.6-2.mga9
+ Revision: 1706434
- rebuild for python 3.9

* Fri Jul 03 2020 shlomif <shlomif> 0.2.6-1.mga8
+ Revision: 1601655
- New version 0.2.6

* Wed Jun 17 2020 shlomif <shlomif> 0.2.4-1.mga8
+ Revision: 1594060
- New version 0.2.4

* Fri Feb 21 2020 umeabot <umeabot> 0.2.3-4.mga8
+ Revision: 1547789
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 0.2.3-3.mga8
+ Revision: 1488377
- remove unused dep

* Sat Oct 12 2019 tv <tv> 0.2.3-2.mga8
+ Revision: 1452106
- rebuild for python 3.8

* Fri Aug 09 2019 shlomif <shlomif> 0.2.3-1.mga8
+ Revision: 1428445
- New version 0.2.3

* Mon Jul 22 2019 shlomif <shlomif> 0.2.2-1.mga8
+ Revision: 1423424
- pyp2rpm

